%define		pkg	minimatch
Summary:	JavaScript glob matcher
Name:		nodejs-%{pkg}
Version:	1.0.0
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/minimatch/-/minimatch-%{version}.tgz
# Source0-md5:	cb1ce5c0b763576ed9ee77a72fc95668
URL:		https://github.com/isaacs/minimatch
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-lru-cache < 3
Requires:	nodejs-lru-cache >= 2
Requires:	nodejs-sigmund < 1.1.0
Requires:	nodejs-sigmund >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Converts glob expressions to JavaScript "RegExp" objects.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -p %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%doc test/
%{nodejs_libdir}/%{pkg}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-minimatch.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> be2ca65
- up to 1.0.0

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> c1e304f
- up to 0.3.0

* Sat Mar 08 2014 Łukasz Kieś <kiesiu@pld-linux.org> be2eaeb
- updated to 0.2.14

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> 226f9bd
- Loosen dependencies

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> e3ee966
- v0.2.11

* Mon Feb 18 2013 Aria <aredridel@nbtsc.org> c4c6fa9
- 0.2.9

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> ef8b9ce
- Up to 0.2.8

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 4bc7089
- up to 0.2.4

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> d355b18
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

